# Generated using the scripts at https://pagure.io/fedora-cosmic/cosmic-packaging/blob/main/f/scripts

# cosmic-packaging: Nightly build processed from tagged version at https://src.fedoraproject.org/rpms/cosmic-wallpapers
%global commit 189c2c63d31da84ebb161acfd21a503f98a1b4c7
%global shortcommit %{sub %{commit} 1 7}
%global commitdatestring 2025-04-08 08:53:17 -0600
%global commitdate 20250408
%global builddate 202504182320
%global cosmic_minver 1.0.0~alpha.6

Name:           cosmic-wallpapers
Version: 1.0.0~alpha.6^git%{commitdate}.%{shortcommit}
Release: 2
Summary:        Default wallpapers for the COSMIC Desktop Environment

# All cosmic wallpapers are either public domain or CC-BY-SA-4.0
License:        CC-BY-SA-4.0

URL:            https://github.com/pop-os/cosmic-wallpapers

# How to recreate this source
# Install git-lfs
# Clone https://github.com/pop-os/cosmic-wallpapers
# Checkout commit %%{commit}
# dnf install git-lfs
# git clone https://github.com/pop-os/cosmic-wallpapers
# cd cosmic-wallpapers && git checkout %%{commit} && cd ..
# tar -pczf cosmic-wallpapers-archive-%%{shortcommit}.tar.gz cosmic-wallpapers
Source0: https://github.com/pop-os/cosmic-wallpapers/archive/%{commit}/cosmic-wallpapers-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  make

%global _description %{expand:
%{summary}.}

%description %{_description}

%prep
tar -xf %{SOURCE0} -C .

%build

%install
cd cosmic-wallpapers
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
make install DESTDIR=%{buildroot} prefix=%{_prefix}

%files
%dir %{_datadir}/backgrounds/cosmic
%{_datadir}/backgrounds/cosmic/*
%license LICENSE

%changelog
%autochangelog

